umbrello: ChildWidgetPlacementPin Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
ChildWidgetPlacementPin Class Reference

Child widget placement attached to parent. More...

`#include <childwidgetplacementpin.h>`

Inheritance diagram for ChildWidgetPlacementPin:

## Public Member Functions
| ChildWidgetPlacementPin (PinPortBase *widget)
virtual | ~ChildWidgetPlacementPin ()
virtual void | detectConnectedSide ()
virtual void | setInitialPosition (const QPointF &scenePos=QPointF())
virtual void | setNewPositionWhenMoved (qreal diffX, qreal diffY)
virtual void | setNewPositionOnParentResize ()
Public Member Functions inherited from ChildWidgetPlacement
| ChildWidgetPlacement (PinPortBase *widget)
virtual | ~ChildWidgetPlacement ()
virtual void | detectConnectedSide ()=0
virtual void | setInitialPosition (const QPointF &scenePos=QPointF())=0
virtual void | setNewPositionWhenMoved (qreal diffX, qreal diffY)=0
virtual void | setNewPositionOnParentResize ()=0

## Private Member Functions
bool | isAboveParent () const
bool | isBelowParent () const
bool | isLeftOfParent () const
bool | isRightOfParent () const
qreal | getNewXOnJumpToTopOrBottom () const
void | jumpToTopOfParent ()
void | jumpToBottomOfParent ()
qreal | getNewYOnJumpToSide () const
void | jumpToLeftOfParent ()
void | jumpToRightOfParent ()

## Additional Inherited Members
Protected Types inherited from ChildWidgetPlacement
enum | ConnectedSide { Undefined , Top , Right , Bottom , Left , TopLeft , TopRight , BottomRight , BottomLeft }
Protected Member Functions inherited from ChildWidgetPlacement
void | setPos (const QPointF &pos)
void | setPos (qreal x, qreal y)
void | setX (qreal x)
void | setY (qreal y)
qreal | x () const
qreal | y () const
qreal | width () const
qreal | height () const
UMLWidget * | ownerWidget () const
Protected Attributes inherited from ChildWidgetPlacement
PinPortBase *const | m_widget
ConnectedSide | m_connectedSide

## Detailed Description

Child widget placement attached to parent.

Implementation of child widget placement where parent and child widget borders are always connected.

## Constructor & Destructor Documentation

## ◆ ChildWidgetPlacementPin()

ChildWidgetPlacementPin::ChildWidgetPlacementPin | ( | PinPortBase * | widget | ) |

## ◆ ~ChildWidgetPlacementPin()

ChildWidgetPlacementPin::~ChildWidgetPlacementPin | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ detectConnectedSide()

void ChildWidgetPlacementPin::detectConnectedSide | ( |  | ) |
| virtual

Implements ChildWidgetPlacement.

## ◆ getNewXOnJumpToTopOrBottom()

qreal ChildWidgetPlacementPin::getNewXOnJumpToTopOrBottom | ( |  | ) | const
| private

## ◆ getNewYOnJumpToSide()

qreal ChildWidgetPlacementPin::getNewYOnJumpToSide | ( |  | ) | const
| private

## ◆ isAboveParent()

bool ChildWidgetPlacementPin::isAboveParent | ( |  | ) | const
| private

## ◆ isBelowParent()

bool ChildWidgetPlacementPin::isBelowParent | ( |  | ) | const
| private

## ◆ isLeftOfParent()

bool ChildWidgetPlacementPin::isLeftOfParent | ( |  | ) | const
| private

## ◆ isRightOfParent()

bool ChildWidgetPlacementPin::isRightOfParent | ( |  | ) | const
| private

## ◆ jumpToBottomOfParent()

void ChildWidgetPlacementPin::jumpToBottomOfParent | ( |  | ) |
| private

## ◆ jumpToLeftOfParent()

void ChildWidgetPlacementPin::jumpToLeftOfParent | ( |  | ) |
| private

## ◆ jumpToRightOfParent()

void ChildWidgetPlacementPin::jumpToRightOfParent | ( |  | ) |
| private

## ◆ jumpToTopOfParent()

void ChildWidgetPlacementPin::jumpToTopOfParent | ( |  | ) |
| private

## ◆ setInitialPosition()

void ChildWidgetPlacementPin::setInitialPosition | ( | const QPointF & | scenePos = `QPointF()` | ) |
| virtual

Implements ChildWidgetPlacement.

## ◆ setNewPositionOnParentResize()

void ChildWidgetPlacementPin::setNewPositionOnParentResize | ( |  | ) |
| virtual

Implements ChildWidgetPlacement.

## ◆ setNewPositionWhenMoved()

void ChildWidgetPlacementPin::setNewPositionWhenMoved | ( | qreal | diffX,
|  | qreal | diffY
| ) |  |
| virtual

Implements ChildWidgetPlacement.

The documentation for this class was generated from the following files:

- umbrello/umlwidgets/childwidgetplacementpin.h
- umbrello/umlwidgets/childwidgetplacementpin.cpp